It's all about the answers!

Ask a question

RTC Client matrix compatibility


Eric Fernandez (132) | asked Jul 10 '17, 6:27 a.m.
retagged Oct 23 '18, 3:24 p.m. by Ken Tessier (84117)

Can RTC Clients of CLM v6.0.0 connect without issues to CLM v6.0.4 -or- does it need to be upgraded too?
Trying to avoid any upgrade on the clients.

Accepted answer


permanent link
Ralph Schoon (55.8k23642) | answered Jul 10 '17, 7:35 a.m.
FORUM ADMINISTRATOR / FORUM MODERATOR / JAZZ DEVELOPER
edited Jul 10 '17, 7:37 a.m.

In general there is an aim to provide N-1 compatibility. So a client of version N-1 is compatible to a server version N if not stated otherwise. N meaning 4, 5 or 6 the major version.

The older clients will not have any of the newer capabilities.

This is for all the clients as far as I can tell. JBE, Clients.

Note: performance might be affected in the server keeping the compatibility, so it is suggested to upgrade the clients to the server version as fast as possible.

Eric Fernandez selected this answer as the correct answer

2 other answers



permanent link
Matt Muller (53312049) | answered Jul 10 '17, 6:34 a.m.

Hi Eric,

I'm looking at something similar for V5 - V6.0.2 and the client is compatible .. but you will not be able to use any of the new features documented in New and Noteworthy for 6.0.1-V6.0.4 (I don't think? - but maybe someone else from IBM can comment)


Comments
Eric Fernandez commented Jul 10 '17, 6:42 a.m.

Makes sense Matt. Thanks


permanent link
Ken Tessier (84117) | answered Oct 23 '18, 3:24 p.m.

This is covered in Client and server version compatibility.


Ken 

Your answer


Register or to post your answer.